TOMOYO-SAVEPOLICY(8)

NAME
tomoyo-savepolicy - save TOMOYO Linux policy

SYNOPSIS
tomoyo-savepolicy <directory>

tomoyo-savepolicy <directory> <remote_ip:remote_port>

tomoyo-savepolicy {-e|-d|-p|-m|-s}

tomoyo-savepolicy {-e|-d|-p|-m|-s} <remote_ip:remote_port>

DESCRIPTION
This program saves TOMOYO Linux's policy from kernel into files.

OPTIONS
e
    Save exception policy. ( /sys/kernel/security/tomoyo/exception_policy => policy_dir/exception_policy.conf )

d
    Save domain policy. ( /sys/kernel/security/tomoyo/domain_policy => policy_dir/domain_policy.conf )

a
    Save exception policy and domain policy. This is default.

p
    Save profile. ( /sys/kernel/security/tomoyo/profile => policy_dir/profile.conf )

m
    Save manager. ( /sys/kernel/security/tomoyo/manager => policy_dir/manager.conf )

u
    Print meminfo. Implies '-' option. ( /sys/kernel/security/tomoyo/meminfo )

-
    Write policy to stdout. Specify only one of "edpmu" option when you use this option.

<directory>
    Save policy to this directory. This must start with a "/". The default is /etc/tomoyo/.

<remote_ip:remote_port>
    Instead of saving local policy, save policy via an agent waiting at port <remote_port> on IP address <remote_ip>.

EXAMPLES
Save policy to disk:
tomoyo-savepolicy

Save exception policy to disk:
tomoyo-savepolicy e

Retrieve policy from 192.168.1.1:10000 and save into the "/etc/tomoyo/192.168.1.1/" directory:
tomoyo-savepolicy /etc/tomoyo/192.168.1.1/ 192.168.1.1:10000

BUGS
If there are any bugs, send an email with as much detail as possible to tomoyo-users-en@lists.sourceforge.jp

AUTHORS

Main authors:

    • Tetsuo Handa <penguin-kernel AT I-love.SAKURA.ne.jp>

Other contributers:

    • Jamie Nguyen <jamie AT tomoyolinux.co.uk>

    Man pages, documentation and website.

SEE ALSO

tomoyo-editpolicy-agent(8), tomoyo-loadpolicy(8)

See http://tomoyo.sourceforge.jp/ for more information.